<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.79
Name: [2] Autor dokumentu recepty spełniającej warunki związane z refundacją
Description: Szablon struktury CDA dla autora dokumentu recety spełniającej warunki związane z refundacja
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000">
   <title>[2] Autor dokumentu recepty spełniającej warunki związane z refundacją</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]"
         id="tmp-r-815c72c4-5d62-4596-9627-d4a6178e7e80">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79'])&gt;=1 and not(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/@nullFlavor)">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79'] jest mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']"
         id="tmp-r-b5722d90-2af6-4050-9ebf-1d9f3df814eb">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wartość dla @typeCode MUSI wynosić 'AUT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wartość dla @contextControlCode MUSI wynosić 'OP'.</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(hl7:assignedAuthor/hl7:id/@root='2.16.840.1.113883.3.4424.1.6.2' and not(hl7:functionCode/@code=('LEK','LEKD','FEL'))) or (hl7:assignedAuthor/hl7:id/@root='2.16.840.1.113883.3.4424.1.6.3' and not(hl7:functionCode/@code=('PIEL','POL'))) or (hl7:assignedAuthor/hl7:id/@root='2.16.840.1.113883.3.4424.1.6.1' and not(hl7:functionCode/@code=('FARM'))) or (hl7:assignedAuthor/hl7:id/@root='2.16.840.1.113883.3.4424.1.6.4' and not(hl7:functionCode/@code=('DLAB')))">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wskazana pula numerów Prawa Wykonywania Zawodu jest nieprawidłowa w stosunku do wskazanego zawodu autora dokumentu.</report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.79'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.79']/@nullFlavor)">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.79'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.79'])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.79'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:time jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:time)&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:time występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:assignedAuthor jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:assignedAuthor występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.79']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.79']"
         id="tmp-r-45f314a0-0f32-45bc-abd8-f2aade1220c6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.79'">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.79'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReimbursementConformantDrugPrescriptionAuthor): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:functionCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-eee5ec06-e8cf-4c1b-a6c8-c1bda8c6c7f4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wartość elementu MUSI wynosić ZawodMedyczny Zawód medyczny (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.37-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaReimbursementConformantDrugPrescriptionAuthor): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZawodMedyczny Zawód medyczny (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:time
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:time"
         id="tmp-r-72de6ecd-4ed5-4c00-98ac-4840acad3f6b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(@value=/hl7:ClinicalDocument/hl7:legalAuthenticator/hl7:time/@value) or (@value=/hl7:ClinicalDocument/hl7:authenticator/hl7:time/@value)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Data utworzenia dokumentu powinna być taka sama jak data wystawienia lub autoryzacji dokumentu.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor"
         id="tmp-r-36d01fb2-d657-45b5-833d-3fbdb98a0e08">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wartość dla @classCode MUSI wynosić 'ASSIGNED'.</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="/hl7:ClinicalDocument/hl7:code/hl7:translation/hl7:qualifier[(hl7:name/@code='RRECE') and (hl7:value/@code=('PA','PF'))] and not(hl7:addr)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Dla recepty pro auctore lub pro familiae należy podać adres osoby będącej autorem dokumentu.</report>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="/hl7:ClinicalDocument/hl7:code/hl7:translation/hl7:qualifier[(hl7:name/@code='RRECE') and (hl7:value/@code=('PA','PF'))] and not(hl7:telecom)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Dla recepty pro auctore lub pro familiae należy podać numer telefonu osoby będącej autorem dokumentu.</report>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(not(/hl7:ClinicalDocument/hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='RRECE']) or /hl7:ClinicalDocument/hl7:code/hl7:translation/hl7:qualifier[(hl7:name/@code='RRECE') and (hl7:value/@code='ZW')]) and not(hl7:representedOrganization)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Dla recepty, która nie jest wystawiona w trybie pro auctore lub pro familiae, wymagane jest podanie danych organizacji, w ramach której utworzono receptę (w elemencie representedOrganization).</report>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="hl7:representedOrganization/hl7:templateId/@root=('2.16.840.1.113883.3.4424.13.10.2.17','2.16.840.1.113883.3.4424.13.10.2.18') and not(extPL:boundedBy)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Dla świadczeniodawcy (określonego w danych jednostki lub komórki podmiotu wykonującego działalność leczniczą) wymagane jest podanie danych umowy z NFZ w dokumencie recepty refundowanej.</report>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1']|hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2']|hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="$elmcount&gt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): wybór (hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1'] lub hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2'] lub hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="$elmcount&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): wybór (hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1'] lub hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2'] lub hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1'])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2'])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3'])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3']|hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3.1'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="$elmcount&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): wybór (hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3'] lub hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3.1']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3'])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3.1'])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:addr)&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:addr występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:telecom)&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:telecom występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'])&gt;=1 ">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.15']|hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.17']|hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.18'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="$elmcount&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): wybór (hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.15'] lub hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.17'] lub hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.18']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.15'])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.15'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.17'])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.17'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.18'])&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.18'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="count(extPL:boundedBy)&lt;=1">(plCdaReimbursementConformantDrugPrescriptionAuthor): element extPL:boundedBy występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.1']"
         id="tmp-r-1011e198-7fa0-4ecf-9237-a0360c2cca8d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.1.6.1'">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.1.6.1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReimbursementConformantDrugPrescriptionAuthor): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="@extension">(plCdaReimbursementConformantDrugPrescriptionAuthor): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaReimbursementConformantDrugPrescriptionAuthor): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.2']"
         id="tmp-r-32489575-8999-4edc-98ee-c2d1d50b3050">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.1.6.2'">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.1.6.2'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReimbursementConformantDrugPrescriptionAuthor): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="@extension">(plCdaReimbursementConformantDrugPrescriptionAuthor): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaReimbursementConformantDrugPrescriptionAuthor): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:id[@root='2.16.840.1.113883.3.4424.1.6.3']"
         id="tmp-r-1b616904-1328-4cb4-9bac-9d70ef7c5560">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.1.6.3'">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.1.6.3'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReimbursementConformantDrugPrescriptionAuthor): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="@extension">(plCdaReimbursementConformantDrugPrescriptionAuthor): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaReimbursementConformantDrugPrescriptionAuthor): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3']"
         id="tmp-r-2b968ea2-d765-4462-a81d-3e7f7cc602d4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.21-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]) or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.22-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wartość elementu MUSI wynosić SpecjalnoscLekarza Specjalizacja lekarza (DYNAMICZNE) lub SpecjalnoscLekarzaDentysty Specjalizacja lekarza dentysty (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.21-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.22-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaReimbursementConformantDrugPrescriptionAuthor): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SpecjalnoscLekarza Specjalizacja lekarza (DYNAMICZNE) lub SpecjalnoscLekarzaDentysty Specjalizacja lekarza dentysty (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3.1']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.3.3.1']"
         id="tmp-r-edf46073-398c-4021-8207-d02b2a001896">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.3.3.1')">(plCdaReimbursementConformantDrugPrescriptionAuthor): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.3.3.1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="@code">(plCdaReimbursementConformantDrugPrescriptionAuthor): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaReimbursementConformantDrugPrescriptionAuthor): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="@displayName">(plCdaReimbursementConformantDrugPrescriptionAuthor): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaReimbursementConformantDrugPrescriptionAuthor): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:addr
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:addr"
         id="tmp-r-cb94cef4-fab0-4c7d-b810-8fd177d8298e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:AD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:telecom
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <rule context="*[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-567e42f6-c219-4779-af10-0ace41208266">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.79-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReimbursementConformantDrugPrescriptionAuthor): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:assignedPerson[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.1']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.15']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.17']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.79
Context: *[hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']]/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.79']/hl7:assignedAuthor/hl7:representedOrganization[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.18']
Item: (plCdaReimbursementConformantDrugPrescriptionAuthor)
--></pattern>
